Add floating label to textbox programmatically in EJ2 JavaScript Textbox control

23 Jun 20239 minutes to read

The Floating Label TextBox floats label above the TextBox after focusing, or entering a value in the TextBox.

Floating label supports the types of actions as given below.

Type Description
Auto The floating label will float above the input after focusing, or entering a value in the input.
Always The floating label will always float above the input.
Never By default, never float the label in the input when the placeholder is available.
  • Create a TypeScript file and import the Input modules from ej2-inputs library as shown below.
import {Input} from '@syncfusion/ej2-inputs';
  • Pass the HTML Input element and floatLabelType property as Auto to the createInput method.

  • Set the placeholder value to the input element via element attribute or pass the parameter to the createInput method.

The watermark label will be updated based on the specified placeholder value of the Floating Label TextBox.

  • You can add the icons on the input by passing buttons property value with the
    class name e-input-group-icon as parameter to the createInput method.
ej.base.enableRipple(true);

// To get the all input fields and its container.

var inputElement = document.querySelectorAll('.e-input-group .e-input,.e-float-input.e-input-group input');

// Add 'e-input-focus' class to the input for achive ripple effect when focus on the input field.

for (var i = 0; i < inputElement.length; i++) {
    inputElement[i].addEventListener("focus", function () {
        this.parentNode.classList.add('e-input-focus')
    });
    inputElement[i].addEventListener("blur", function () {
        this.parentNode.classList.remove('e-input-focus')
    });
}

// To get the all icon elements on the input field.

var inputIcon = document.querySelectorAll('.e-input-group-icon');

// Add 'e-input-btn-ripple' class to the icon element for achive ripple effect when click on the icon.

for (var i = 0; i < inputIcon.length; i++) {
    inputIcon[i].addEventListener('mousedown', function () {
        this.classList.add('e-input-btn-ripple');
    });
    inputIcon[i].addEventListener('mouseup', function () {
        var element = this;
        setTimeout(function () {
            element.classList.remove('e-input-btn-ripple');
        }, 500);
    });
}

var element = document.createElement('input');
document.getElementById('input-container').appendChild(element);
new ej.inputs.Input.createInput({
    element: element,
    floatLabelType: "Auto",
    properties:{
        placeholder: 'Enter Name'
    }
});

var element2 = document.createElement('input');
document.getElementById('input-container-01').appendChild(element2);
new ej.inputs.Input.createInput({
    element: element2,
    floatLabelType: "Always",
    properties:{
        placeholder:'Enter Name'
    }
});

var element3 = document.createElement('input');
document.getElementById('input-container-02').appendChild(element3);
new ej.inputs.Input.createInput({
    element: element3,
    floatLabelType: "Never",
    properties:{
        placeholder:'Enter Name'
    }
});

// Render float label TextBox with icon

let element4 = document.createElement('input');
document.getElementById('input-container-03').appendChild(element4);
new ej.inputs.Input.createInput({
    element: element4,
    floatLabelType: "Auto",
    buttons: ['e-input-group-icon e-input-down'],
    properties:{
        placeholder:'Enter Value'
    }
});
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 TextBox</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 TextBox Components">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.1.29/ej2-inputs/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.1.29/dist/ej2.min.js" type="text/javascript"></script>
</head>
<body>
    
    <div id="container">
        <div class="wrap">
          <div id="input-container">
              <h4> FloatLabelType as Auto </h4>
          </div>
          <div id="input-container-01">
              <h4> FloatLabelType as Always </h4>
          </div>
          <div id="input-container-02">
              <h4> FloatLabelType as Never </h4>
          </div>
          <div id="input-container-03">
              <h4> Float label input with icons </h4>
          </div>
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 260px;
}

.e-input-group-icon:before {
  font-family: e-icons;
}

.e-input-group .e-input-group-icon.e-input-popup-date { /* csslint allow: adjoining-classes */
  font-size:16px;
}

.e-input-group-icon.e-input-popup-date:before { /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-up:before { /* csslint allow: adjoining-classes */
  content: '\e85e';
}

.e-input-group-icon.e-input-down:before { /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-plus:before { /* csslint allow: adjoining-classes */
  content: '\e7ba';
}

.e-input-group-icon.e-input-minus:before { /* csslint allow: adjoining-classes */
  content: '\e814';
}

.e-input-group-icon.e-input-date:before { /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-left:before { /* csslint allow: adjoining-classes */
  content: '\e904';
}

.e-input-group-icon.e-input-right:before { /* csslint allow: adjoining-classes */
  content: '\e913';
}

.e-input-group-icon.e-input-reload:before { /* csslint allow: adjoining-classes */
  content: '\e837';
}

.e-input-group-icon.e-input-search:before { /* csslint allow: adjoining-classes */
  content: '\e806';
}

#input-container-03 .e-input-group { /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

#input-container-03 .e-float-input { /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

Syncfusion AI Assistant

How can I help you?

Add floating label to textbox programmatically in Vue Textbox component

25 May 202411 minutes to read

The Floating Label TextBox floats label above the TextBox after focusing, or entering a value in the TextBox.

Floating label supports the types of actions as given below.

Type Description
Auto The floating label will float above the input after focusing, or entering a value in the input.
Always The floating label will always float above the input.
Never By default, never float the label in the input when the placeholder is available.
  • Import the Input modules from ej2-inputs library as shown below.

      import {Input} from '@syncfusion/ej2-inputs';
    
  • Pass the HTML Input element and floatLabelType property as Auto to the createInput method.

  • Set the placeholder value to the input element via element attribute or pass the parameter to the createInput method.

The watermark label will be updated based on the specified placeholder value of the Floating Label TextBox.

  • You can add the icons on the input by passing buttons property value with the class name e-input-group-icon as parameter to the createInput method.
<template>
  <div class='wrap'>
    <div id="input-container">
      <h4> FloatLabelType as Auto </h4>
    </div>
    <div id="input-container-01">
      <h4> FloatLabelType as Always </h4>
    </div>
    <div id="input-container-02">
      <h4> FloatLabelType as Never </h4>
    </div>
    <div id="input-container-03">
      <h4> Float label input with icons </h4>
    </div>
  </div>
</template>
<script setup>

import { Input } from '@syncfusion/ej2-inputs';
import { onMounted } from 'vue'; 

onMounted(() => {
  let element = document.createElement('input');
  document.getElementById('input-container').appendChild(element);
  Input.createInput({
    element: element,
    floatLabelType: "Auto",
    properties: {
      placeholder: 'Enter Name'
    }
  });

  let element2 = document.createElement('input');
  document.getElementById('input-container-01').appendChild(element2);
  Input.createInput({
    element: element2,
    floatLabelType: "Always",
    properties: {
      placeholder: 'Enter Name'
    }
  });

  let element3 = document.createElement('input');
  document.getElementById('input-container-02').appendChild(element3);
  Input.createInput({
    element: element3,
    floatLabelType: "Never",
    properties: {
      placeholder: 'Enter Name'
    }
  });

  // Render float label TextBox with icon

  let element4 = document.createElement('input');
  document.getElementById('input-container-03').appendChild(element4);
  Input.createInput({
    element: element4,
    floatLabelType: "Auto",
    buttons: ['e-input-group-icon e-input-down'],
    properties: {
      placeholder: 'Enter Value'
    }
  });
});
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}

#input-container .e-input-group {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

#input-container .e-float-input {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

.e-input-group-icon:before {
  font-family: e-icons;
}

.e-input-group .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 16px;
}

.e-input-group-icon.e-input-popup-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-up:before {
  /* csslint allow: adjoining-classes */
  content: '\e85e';
}

.e-input-group-icon.e-input-down:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-plus:before {
  /* csslint allow: adjoining-classes */
  content: '\e7ba';
}

.e-input-group-icon.e-input-minus:before {
  /* csslint allow: adjoining-classes */
  content: '\e814';
}

.e-input-group-icon.e-input-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-left:before {
  /* csslint allow: adjoining-classes */
  content: '\e904';
}

.e-input-group-icon.e-input-right:before {
  /* csslint allow: adjoining-classes */
  content: '\e913';
}

.e-input-group-icon.e-input-reload:before {
  /* csslint allow: adjoining-classes */
  content: '\e837';
}

.e-input-group-icon.e-input-search:before {
  /* csslint allow: adjoining-classes */
  content: '\e806';
}
</style>
<template>
  <div class='wrap'>
    <div id="input-container">
      <h4> FloatLabelType as Auto </h4>
    </div>
    <div id="input-container-01">
      <h4> FloatLabelType as Always </h4>
    </div>
    <div id="input-container-02">
      <h4> FloatLabelType as Never </h4>
    </div>
    <div id="input-container-03">
      <h4> Float label input with icons </h4>
    </div>
  </div>
</template>
<script>

import { Input } from '@syncfusion/ej2-inputs';

export default {
  data: function () {
    return {}
  },
  mounted: function () {
    let element = document.createElement('input');
    document.getElementById('input-container').appendChild(element);
    Input.createInput({
      element: element,
      floatLabelType: "Auto",
      properties: {
        placeholder: 'Enter Name'
      }
    });

    let element2 = document.createElement('input');
    document.getElementById('input-container-01').appendChild(element2);
    Input.createInput({
      element: element2,
      floatLabelType: "Always",
      properties: {
        placeholder: 'Enter Name'
      }
    });

    let element3 = document.createElement('input');
    document.getElementById('input-container-02').appendChild(element3);
    Input.createInput({
      element: element3,
      floatLabelType: "Never",
      properties: {
        placeholder: 'Enter Name'
      }
    });

    // Render float label TextBox with icon

    let element4 = document.createElement('input');
    document.getElementById('input-container-03').appendChild(element4);
    Input.createInput({
      element: element4,
      floatLabelType: "Auto",
      buttons: ['e-input-group-icon e-input-down'],
      properties: {
        placeholder: 'Enter Value'
      }
    });
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}

#input-container .e-input-group {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

#input-container .e-float-input {
  /* csslint allow: adjoining-classes */
  margin: 30px 0;
}

.e-input-group-icon:before {
  font-family: e-icons;
}

.e-input-group .e-input-group-icon.e-input-popup-date {
  /* csslint allow: adjoining-classes */
  font-size: 16px;
}

.e-input-group-icon.e-input-popup-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-up:before {
  /* csslint allow: adjoining-classes */
  content: '\e85e';
}

.e-input-group-icon.e-input-down:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-plus:before {
  /* csslint allow: adjoining-classes */
  content: '\e7ba';
}

.e-input-group-icon.e-input-minus:before {
  /* csslint allow: adjoining-classes */
  content: '\e814';
}

.e-input-group-icon.e-input-date:before {
  /* csslint allow: adjoining-classes */
  content: "";
}

.e-input-group-icon.e-input-left:before {
  /* csslint allow: adjoining-classes */
  content: '\e904';
}

.e-input-group-icon.e-input-right:before {
  /* csslint allow: adjoining-classes */
  content: '\e913';
}

.e-input-group-icon.e-input-reload:before {
  /* csslint allow: adjoining-classes */
  content: '\e837';
}

.e-input-group-icon.e-input-search:before {
  /* csslint allow: adjoining-classes */
  content: '\e806';
}
</style>

Syncfusion AI Assistant

How can I help you?

Add floating label to TextBox programmatically in React TextBox component

21 Feb 202611 minutes to read

The floating label automatically floats above the TextBox input field when the user focuses on it or enters a value. This behavior enhances the visual hierarchy and provides clear input context. Configure the floating label behavior using the floatLabelType property with the following options:

Type Description
Auto The label floats above the input when focused or when a value is entered
Always The label always remains floating above the input
Never The label never floats; placeholder text is displayed instead (default behavior)

Implementation steps

  1. Import the Input module from the ej2-inputs library:

     import {Input} from '@syncfusion/ej2-inputs';
  2. Configure the floating label by passing the HTML input element and floatLabelType property set to Auto (or another value) to the createInput method.

  3. Set the placeholder for the input element either via the placeholder attribute or as a parameter to createInput. The placeholder text serves as the floating label content.

  4. Optional: Add icons to enhance the input by passing the buttons property with the e-input-group-icon class to the createInput method.

import { Input } from '@syncfusion/ej2-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class Default extends React.Component {
    input1;
    input2;
    input3;
    input4;
    render() {
        return (<div className="inner-container">
                <h4> FloatLabelType as Auto </h4>
                <input id="input-01" type="text" ref={ele1 => this.input1 = ele1}/>
                <h4> FloatLabelType as Always </h4>
                <input id="input-02" type="text" ref={ele2 => this.input2 = ele2}/>
                <h4> FloatLabelType as Never </h4>
                <input id="input-03" type="text" ref={ele3 => this.input3 = ele3}/>
                <h4> Float label input with icons </h4>
                <input id="input-04" type="text" ref={ele4 => this.input4 = ele4}/>
            </div>);
    }
    componentDidMount() {
        Input.createInput({
            element: this.input1,
            floatLabelType: "Auto",
            properties: {
                placeholder: 'Enter Name'
            }
        });
        Input.createInput({
            element: this.input2,
            floatLabelType: "Always",
            properties: {
                placeholder: 'Enter Name'
            }
        });
        Input.createInput({
            element: this.input3,
            floatLabelType: "Never",
            properties: {
                placeholder: 'Enter Name'
            }
        });
        // Render Float Label TextBox with Icon
        Input.createInput({
            buttons: ['e-input-group-icon e-input-down'],
            element: this.input4,
            floatLabelType: "Auto",
            properties: {
                placeholder: 'Enter Value'
            }
        });
    }
}
ReactDOM.render(<Default />, document.getElementById('input-container'));
import { Input } from  '@syncfusion/ej2-inputs';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class Default extends React.Component {
    public input1: any;
    public input2: any;
    public input3: any;
    public input4: any;

    public render() {
        return (
            <div className="inner-container">
                <h4> FloatLabelType as Auto </h4>
                <input id="input-01" type="text" ref = {ele1 => this.input1 = ele1!} />
                <h4> FloatLabelType as Always </h4>
                <input id="input-02" type="text" ref = {ele2 => this.input2 = ele2!} />
                <h4> FloatLabelType as Never </h4>
                <input id="input-03" type="text" ref = {ele3 => this.input3 = ele3!} />
                <h4> Float label input with icons </h4>
                <input id="input-04" type="text" ref = {ele4 => this.input4 = ele4!} />
            </div>
        )
    }

    public componentDidMount() {

        Input.createInput({
            element: this.input1,
            floatLabelType: "Auto",
            properties:{
                placeholder:'Enter Name'
            }
        });

        Input.createInput({
            element: this.input2,
            floatLabelType: "Always",
            properties:{
                placeholder:'Enter Name'
            }
        });

        Input.createInput({
            element: this.input3,
            floatLabelType: "Never",
            properties:{
                placeholder:'Enter Name'
            }
        });

        // Render Float Label TextBox with Icon
        Input.createInput({
            buttons: ['e-input-group-icon e-input-down'],
            element: this.input4,
            floatLabelType: "Auto",
            properties:{
                placeholder:'Enter Value'
            }
        });
    }
}

ReactDOM.render(<Default />, document.getElementById('input-container'));

Add floating label to textbox programmatically in Angular Textbox component

22 Mar 20236 minutes to read

The Floating Label TextBox floats label above the TextBox after focusing, or entering a value in the TextBox.

Floating label supports the types of actions as given below.

Type Description
Auto The floating label will float above the input after focusing, or entering a value in the input.
Always The floating label will always float above the input.
Never By default, never float the label in the input when the placeholder is available.
  • Import the Input modules from ej2-inputs library as shown in below.

    import {Input} from '@syncfusion/ej2-inputs';
  • Pass the HTML Input element and floatLabelType property as Auto to the createInput method.

  • Set the placeholder value to the input element via element attribute or pass the parameter to the createInput method.

The watermark label will be updated based on the specified placeholder value of the Floating Label TextBox.

  • You can add the icons on the input by passing buttons property value with the class name e-input-group-icon as parameter to the createInput method.
import { Component } from '@angular/core';
import { Input } from '@syncfusion/ej2-inputs';

@Component({
    selector: 'app-root',
    template: `<div class="wrap">
                <h4> FloatLabelType as Auto </h4>
                <input type="text" id="textbox" required/>
                <h4> FloatLabelType as Always </h4>
                <input type="text" id="textbox-01" required/>
                <h4> FloatLabelType as Never </h4>
                <input type="text" id="textbox-02" required/>
                <h4> Float label input with icons </h4>
                <input id="textbox-icon" type="text" />
              </div>`
})

export class AppComponent {
    ngOnInit() {
        let element: HTMLInputElement = document.getElementById('textbox');
        Input.createInput ({
            element: element,
            floatLabelType: "Auto",
            properties: {
                placeholder:'Enter Name'
            }
        });
        let element1: HTMLInputElement = document.getElementById('textbox-01');
        Input.createInput ({
            element: element1,
            floatLabelType: "Always",
            properties: {
                placeholder:'Enter Name'
            }
        });
        let element2: HTMLInputElement = document.getElementById('textbox-02');
        Input.createInput ({
            element: element2,
            floatLabelType: "Never",
            properties: {
                placeholder:'Enter Name'
            }
        });

        let element3: HTMLInputElement = document.getElementById('textbox-icon');
        Input.createInput ({
            element: element3,
            floatLabelType: "Auto",
            buttons: ['e-input-group-icon e-input-down'],
            properties: {
                placeholder:'Enter Value'
            }
        });
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { FormsModule } from '@angular/forms';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        FormsModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);